## golang-github-appleboy-gofight 2.1.2

=== Makefile ===
.PHONY: test

GO ?= go
GOFMT ?= gofmt "-s"
PACKAGES ?= $(shell $(GO) list ./...)
GOFILES := $(shell find . -name "*.go" -type f)

install-embedmd:
	@hash embedmd > /dev/null 2>&1; if [ $$? -ne 0 ]; then \
		$(GO) get -u github.com/campoy/embedmd; \
	fi

embedmd-check: install-embedmd
	embedmd -d *.md

embedmd: install-embedmd
	embedmd -w *.md

.PHONY: fmt
fmt:
	$(GOFMT) -w $(GOFILES)

.PHONY: fmt-check
fmt-check:
	@diff=$$($(GOFMT) -d $(GOFILES)); \
	if [ -n "$$diff" ]; then \
		echo "Please run 'make fmt' and commit the result:"; \
		echo "$${diff}"; \
		exit 1; \
	fi;

test: fmt-check
	@$(GO) test -v -cover -coverprofile coverage.txt ./... && echo "\n==>\033[32m Ok\033[m\n" || exit 1

vet:
	$(GO) vet ./...

lint:
	@hash revive > /dev/null 2>&1; if [ $$? -ne 0 ]; then \
		$(GO) get -u github.com/mgechev/revive; \
	fi
	revive -config .revive.toml ./... || exit 1

.PHONY: misspell-check
misspell-check:
	@hash misspell > /dev/null 2>&1; if [ $$? -ne 0 ]; then \
		$(GO) get -u github.com/client9/misspell/cmd/misspell; \
	fi
	misspell -error ./...

.PHONY: misspell
misspell:
	@hash misspell > /dev/null 2>&1; if [ $$? -ne 0 ]; then \
		$(GO) get -u github.com/client9/misspell/cmd/misspell; \
	fi
	misspell -w $(GOFILES)

clean:
	$(GO) clean -modcache -cache -i
	find . -name "coverage.txt" -delete

=== debian/changelog ===
golang-github-appleboy-gofight (2.1.2-2) unstable; urgency=medium

  * Source-only upload for testing eligibility.

 -- Cyril Brulebois <cyril@debamax.com>  Thu, 07 Jan 2021 14:06:44 +0000

golang-github-appleboy-gofight (2.1.2-1) unstable; urgency=medium

  * Initial release (Closes: #978016).

 -- Cyril Brulebois <cyril@debamax.com>  Thu, 24 Dec 2020 13:26:22 +0000

=== debian/control ===
Source: golang-github-appleboy-gofight
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Cyril Brulebois <cyril@debamax.com>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-stretchr-testify-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-appleboy-gofight
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-appleboy-gofight.git
Homepage: https://github.com/appleboy/gofight
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/appleboy/gofight

Package: golang-github-appleboy-gofight-dev
Architecture: all
Depends: golang-github-stretchr-testify-dev,
         ${misc:Depends}
Description: API Handler Testing for Golang Web framework
 This framework makes it possible to test various API handlers:
  - Http Handler
  - Gin
  - Echo
  - Mux
  - HttpRouter
  - Pat
  - beego

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%golang-github-appleboy-gofight-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/" \
  https://github.com/appleboy/gofight/tags .*/v?(\d\S*)\.tar\.gz debian
